Debian Bug report logs - #590407
live-config: FTBFS: sh: checkbashisms: not found

version graph

Package: src:live-config; Maintainer for src:live-config is Live Systems Maintainers <debian-live@lists.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 26 Jul 2010 07:10:26 UTC

Severity: important

Tags: sid, squeeze

Found in version live-config/2.0~a15-1

Fixed in version live-config/2.0~a16-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#590407; Package src:live-config. (Mon, 26 Jul 2010 07:10:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 26 Jul 2010 07:10:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: live-config: FTBFS: sh: checkbashisms: not found
Date: Mon, 26 Jul 2010 09:00:57 +0200
Source: live-config
Version: 2.0~a15-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100725 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-live-config_2.0~a15-1-amd64-2KPaoO/live-config-2.0~a15'
> Checking for syntax errors..................................... done.
> W: checkbashisms - command not found
> I: checkbashisms can be optained from: 
> I:   http://git.debian.org/?p=devscripts/devscripts.git
> I: On Debian systems, checkbashisms can be installed with:
> I:   apt-get install devscripts
> sh: checkbashisms: not found
> make[1]: *** [test] Error 127

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/07/25/live-config_2.0~a15-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#590407; Package src:live-config. (Mon, 26 Jul 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 26 Jul 2010 13:03:03 GMT) Full text and rfc822 format available.


Message #10 received at 590407@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: control@bugs.debian.org, 590407@bugs.debian.org
Date: Mon, 26 Jul 2010 14:59:28 +0200
tag 590407 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 26 Jul 2010 13:03:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 26 Jul 2010 21:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#590407; Package src:live-config. (Mon, 26 Jul 2010 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 26 Jul 2010 21:18:04 GMT) Full text and rfc822 format available.


Message #19 received at 590407@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 590407@bugs.debian.org
Date: Mon, 26 Jul 2010 23:15:34 +0200
severity 590407 important
thanks

this is a very nasty workaround for allowing to have live-config to
migrate to testing tomorrow, i'm going to upload the package with the
fix for this trivial bug with urgency high, so we save 9 days and don't
get a huge drawback for debcamp/debconf here.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 28 Jul 2010 04:03:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 28 Jul 2010 04:03:07 GMT) Full text and rfc822 format available.

Message #24 received at 590407-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 590407-close@bugs.debian.org
Subject: Bug#590407: fixed in live-config 2.0~a16-1
Date: Wed, 28 Jul 2010 04:02:23 +0000
Source: live-config
Source-Version: 2.0~a16-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-systemd_2.0~a16-1_all.deb
  to main/l/live-config/live-config-systemd_2.0~a16-1_all.deb
live-config-sysvinit_2.0~a16-1_all.deb
  to main/l/live-config/live-config-sysvinit_2.0~a16-1_all.deb
live-config-upstart_2.0~a16-1_all.deb
  to main/l/live-config/live-config-upstart_2.0~a16-1_all.deb
live-config_2.0~a16-1.diff.gz
  to main/l/live-config/live-config_2.0~a16-1.diff.gz
live-config_2.0~a16-1.dsc
  to main/l/live-config/live-config_2.0~a16-1.dsc
live-config_2.0~a16-1_all.deb
  to main/l/live-config/live-config_2.0~a16-1_all.deb
live-config_2.0~a16.orig.tar.gz
  to main/l/live-config/live-config_2.0~a16.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590407@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jul 2010 05:47:03 +0200
Source: live-config
Binary: live-config live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 2.0~a16-1
Distribution: unstable
Urgency: high
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 590407
Changes: 
 live-config (2.0~a16-1) unstable; urgency=high
 .
   * Adding workaround for bug in install calls wrt/ permissions of
     intermediate directories.
   * Simplyfing tzdata script.
   * Adding manpage symlinks in transitional package.
   * Adding option to set x-session-manager in preparation for multi-
     desktop images.
   * Correcting install location for scripts in example package.
   * Simplyfing scripts definition in makefile.
   * Adding updated French manpage translation from Thierry L├ępicier
     <thierry.lepicier@free.fr>.
   * Don't fail in Makefile when there's no checkbashism (Closes:
     #590407).
   * Adding alternative depends to runit-run on live-config-sysvinit,
     thanks to Daniel Kahn Gillmor <dkg@fifthhorseman.net>.
   * Updating package to standards version 3.9.1.
   * Adding Brazilian Portuguese manpage translation from Tassia Camoes
     Araujo <tassia@gmail.com>.
Checksums-Sha1: 
 cf1c2a31a78a482673b1d0f2d4d19495d852a9f8 1316 live-config_2.0~a16-1.dsc
 5d06000253ed01a8e0dad4ae1f3085824f0329ed 74196 live-config_2.0~a16.orig.tar.gz
 8797a227a1b59baaeece45bde7977fdee55c0498 5071 live-config_2.0~a16-1.diff.gz
 10b1d1e8cc81ceecb3720200daa361659dceda07 39368 live-config_2.0~a16-1_all.deb
 0da91eb813dfdcac725705a6eccf12d1fd8ad02f 5162 live-config-systemd_2.0~a16-1_all.deb
 6d51a201ef2fed11bf1b89041d3b5c00cf1da60d 6160 live-config-sysvinit_2.0~a16-1_all.deb
 d44adad3ee7acd766932eb6df367e42726ad8d20 5334 live-config-upstart_2.0~a16-1_all.deb
Checksums-Sha256: 
 de4068e0257b9c1bd6813b03889623abe0f4b6f3f254c113ab4206fb97c2a89a 1316 live-config_2.0~a16-1.dsc
 5d2816781cc4d22cef7a30307430f7de514c9ecafd4b256e5a41751bdd9d7bcf 74196 live-config_2.0~a16.orig.tar.gz
 5091c8ad702f5b3f84b302b6ee1847728924e3cac43577ed16651245703e39eb 5071 live-config_2.0~a16-1.diff.gz
 639f115f6d7e08d951a2b097ea0b933dde950a0600f7a78e6a2fcccadb0fa477 39368 live-config_2.0~a16-1_all.deb
 3b9341550551a621c93cb597d5d29bba25d6a40f73bd0090e26b77b1f8ec8155 5162 live-config-systemd_2.0~a16-1_all.deb
 dce3a1ef57d0d875b3adf0980a1b6f9d28f4bb43ccfdbcbfe11adf8e7b5fb2fc 6160 live-config-sysvinit_2.0~a16-1_all.deb
 a293486e77c870734bfed211d829f656bab661bffdf9573283c1b13c6cf17c65 5334 live-config-upstart_2.0~a16-1_all.deb
Files: 
 aeb68f64f799c1b82fc3219537342044 1316 misc optional live-config_2.0~a16-1.dsc
 617f0f58b18c8d4c7cb33dcf1209151b 74196 misc optional live-config_2.0~a16.orig.tar.gz
 1e3542ef3cce921f86f87f3c29bed53a 5071 misc optional live-config_2.0~a16-1.diff.gz
 75e1666993d97f8d89b88c60c1905f93 39368 misc optional live-config_2.0~a16-1_all.deb
 d2033b0e240acfc69399bf8a487dbead 5162 misc optional live-config-systemd_2.0~a16-1_all.deb
 392fcc4f18881bf1fcd72eb73d06210b 6160 misc optional live-config-sysvinit_2.0~a16-1_all.deb
 7c96609c487b75ffd1d75fdc91c49537 5334 misc optional live-config-upstart_2.0~a16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxPqQ0ACgkQ+C5cwEsrK553ZgCaA8Z5IlJT5p3RekDzDkIMtZeu
MYQAoKOiELbzhd/0yDnoNJRRO0kQ60gZ
=pd54
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Aug 2010 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:17:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.